com.smartgwt.client.types

## Enum SortArrow

- java.lang.Object
- - java.lang.Enum<SortArrow>
  - - com.smartgwt.client.types.SortArrow

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SortArrow>

      public enum SortArrow
      extends java.lang.Enum<SortArrow>
      implements ValueEnum

  Do we display an arrow for the sorted field ?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Display sort arrow above each field header AND in corner above scrollbar.BOTH:"both", // NOTE: Canvas establishes this constant
    `CORNER` Display sort arrow in the upper-right corner (above the scrollbar) only.
    `FIELD` Display sort arrow above each field header only.
    `NONE` Don't show a sort arrow at all.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SortArrow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SortArrow[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SortArrow NONE

      Don't show a sort arrow at all.

    - #### CORNER

          public static final SortArrow CORNER

      Display sort arrow in the upper-right corner (above the scrollbar) only.

    - #### FIELD

          public static final SortArrow FIELD

      Display sort arrow above each field header only.

    - #### BOTH

          public static final SortArrow BOTH

      Display sort arrow above each field header AND in corner above scrollbar.BOTH:"both", // NOTE: Canvas establishes this constant

  - ### Method Detail

    - #### values

          public static SortArrow[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortArrow c : SortArrow.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortArrow valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`